---
search:
  tags:
    - Companies
    - GET
seo:
  description: >-
    Get a single company by ID with basic details and connections. Reference for
    the GET /companies/{companyId} endpoint in the Modem API.
sidebar:
  label: Get company
  badge: GET
title: Get company
type: openapi-operation
---
Get a single company by ID with basic details and connections

`GET /companies/{companyId}`

**Responses**

- `200` — OK
- `400` — Invalid request (validation failed).
- `401` — Missing or invalid API key.
- `403` — The API key does not have access to this resource.
- `404` — The requested resource was not found.
- `429` — Rate limit exceeded.
- `500` — Internal server error.

Response example, 200:

```json
{
  "connections": {
    "email": "string",
    "github": "string",
    "linkedin": "string",
    "phone": "string",
    "twitter": "string"
  },
  "createdAt": "2019-08-24T14:15:22Z",
  "id": "string",
  "isOrgCompany": true,
  "isVip": true,
  "logoUrl": "http://example.com",
  "name": "string",
  "primaryDomain": "string"
}
```
